/*
###############################################################################
# Copyright (c) 2017, PulseRain Technology LLC 
#
# This program is distributed under a dual license: an open source license, 
# and a commercial license. 
# 
# The open source license under which this program is distributed is the 
# GNU Public License version 3 (GPLv3).
#
# And for those who want to use this program in ways that are incompatible
# with the GPLv3, PulseRain Technology LLC offers commercial license instead.
# Please contact PulseRain Technology LLC (www.pulserain.com) for more detail.
#
###############################################################################
*/


//=============================================================================
// Remarks:
//    Wishbone wrapper for encoder
//=============================================================================

`include "config.vh"
`include "common.vh"


`default_nettype none

module wb_ADC 
					  #(parameter
					     REG_ADDR_DATA
                      )
		(

        
        //=======================================================================
        // clock / reset
        //=======================================================================
        
        input   wire                                clk,
        input   wire                                reset_n,

        //=======================================================================
        // Wishbone Interface (FASM synchronous RAM dual port model)
        //=======================================================================                  
		

    
        //=======================================================================
        // ADC output
        //=======================================================================
		input  wire 								       adc_dat,
    	output wire  unsigned [7 : 0]                      dat_o,
		output wire                                        adc_cs,
		output wire                                        adc_clk		 
		 

		 
);


    
    
    //=======================================================================
    // Signals 
    //=======================================================================
        
    
	      wire                     adc_done;  
	     // wire  unsigned [15 : 0]                     counter_B;
		 // wire  unsigned [31 : 0]                     counter_encoder;
         
         //  wire  unsigned [31 : 0]                    counter_encoder1;
		 //assign	counter_encoder1 = 32'd12;
			
            
                
        ADC_core  ADC_core (
				   .clk(clk),
               .rst_n(reset_n), 
					.adc_data(dat_o),
					.adc_dat(adc_dat),
					.adc_done(adc_done),
					.adc_clk(adc_clk),
					.adc_cs(adc_cs)
                );
                      

endmodule : wb_ADC


`default_nettype wire
